Bug 42139

Summary: WebKitTestRunner does not block remote resources or complain about them
Product: WebKit Reporter: Maciej Stachowiak <mjs>
Component: WebKit2Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, eric, kbalazs, ossy, webkit.review.bot
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Attachments:
Description Flags
Patch koivisto: review+

Description Maciej Stachowiak 2010-07-12 21:52:27 PDT
DumpRenderTree blocks access to remote resources and logs a message to ensure that test behavior does not depend on network conditions.

To implement this for WebKit2 will require some equivalent of a resource load delegate - perhaps in the injected bundle.

At least the following tests are affected:
canvas/philip/tests/security.pattern.canvas.timing.html
canvas/philip/tests/security.pattern.create.html
Comment 1 Maciej Stachowiak 2010-07-12 22:11:58 PDT
<rdar://problem/8183942>
Comment 2 Maciej Stachowiak 2011-02-07 01:40:01 PST
Created attachment 81463 [details]
Patch
Comment 3 Maciej Stachowiak 2011-02-07 01:47:26 PST
Committed r77794: <http://trac.webkit.org/changeset/77794>
Comment 4 WebKit Review Bot 2011-02-07 02:57:36 PST
http://trac.webkit.org/changeset/77794 might have broken SnowLeopard Intel Release (WebKit2 Tests)
Comment 5 Csaba Osztrogon√°c 2011-02-07 03:19:57 PST
fix I.: http://trac.webkit.org/changeset/77796 (by mjs)
fix II.: http://trac.webkit.org/changeset/77797 (by mjs)
Qt buildifx: http://trac.webkit.org/changeset/77798 (by me)
Comment 6 Balazs Kelemen 2011-02-09 08:51:53 PST
The KURL dependency breaks InjectedBundle on Qt: https://bugs.webkit.org/show_bug.cgi?id=54109